Skip to main content
GET
Get conversations

Authorizations

Authorization
string
header
default:App
required

This is the most secure authorization type and the one with the most flexibility.

API keys can be generated by calling the dedicated API method. Furthermore, API keys can have a limited scope and cover only some API methods. Lastly, they can be revoked at any time. This range of possibilities makes API keys well suited for separating the API access rights across multiple applications or use cases. Finally, the loss of an API key is easily manageable.

You can manage your API keys from GUI, or programmatically with dedicated API.

API key Authorization header example:

Query Parameters

conversationIds
string[]

Optional. List of conversation Ids.

queueIds
string[]

Optional. List of queue Ids.

tagNames
string[]

Optional. List of tag names.

agentId
string

Optional. Id of an agent assigned to conversations.

status
enum<string>

Optional. Conversation status.

Available options:
OPEN,
WAITING,
SOLVED,
CLOSED
priority
enum<string>

Optional. Conversation priority.

Available options:
URGENT,
HIGH,
NORMAL,
LOW
createdAfter
string<date-time>

Optional. Filter results created after specific date and time. Format: yyyy-MM-dd'T'HH:mm:ss.SSS+0000

createdBefore
string<date-time>

Optional. Filter results created before specific date and time. Format: yyyy-MM-dd'T'HH:mm:ss.SSS+0000

updatedAfter
string<date-time>

Optional. Filter results updated after specific date and time. Format: yyyy-MM-dd'T'HH:mm:ss.SSS+0000

updatedBefore
string<date-time>

Optional. Filter results updated before specific date and time. Format: yyyy-MM-dd'T'HH:mm:ss.SSS+0000

closedAfter
string<date-time>

Optional. Filter results closed after specific date and time. Format: yyyy-MM-dd'T'HH:mm:ss.SSS+0000

closedBefore
string<date-time>

Optional. Filter results closed before specific date and time. Format: yyyy-MM-dd'T'HH:mm:ss.SSS+0000

limit
integer<int64>
default:10

Size of the result page.

Required range: x <= 999
page
integer<int64>
default:0

Number of the current page.

orderBy
string

This parameter is used to order your results. If an order is not given, the default order id:asc will be applied. Possible ordering fields are properties. Ordering direction can be specified with modifiers asc for the ascending ordering or desc for the descending one.

Response

OK

conversations
ConversationApiModel · object[]
pagination
Pagination · object